/**
 * api
 * 礼品管理
 */
import getFetch from './get-fetch.js';
import { giftPrefix } from '@/config';


// 礼品相关接口
let realGift = {
  giftGet: '/get', // 新建/编辑礼品是时获取数据
  giftSave: {
    // 新增礼品
    url: '/save',
    method: 'post'
  },
  giftUpdate: {
    // 编辑礼品
    url: '/update',
    method: 'post'
  },
  giftPage: {
    // 礼品列表
    url: '/page',
    method: 'post'
  },
  giftStockRecord: '/stock-record', // 库存记录
  giftStockLog: '/stock-record-log', // 库存操作记录
  giftActivity: '/activity-statistics', // 活动统计
  giftTemplateDownload: '/template-download', // 下载模板
  giftTemplateUpload: '/template-upload', // 上传模板
  giftBatchUpdate: {
    // 礼品批量操作
    url: '/batch-update',
    method: 'post'
  },
  giftStandardNew: '/spec-save', // 规格新建
  giftStandardList: '/spec-list', // 规格查询
  giftStandardValueNew: '/spec-value-save', // 规格值新建
  giftStandardValueList: '/spec-value-list', // 规格值查询
};
realGift = getFetch(realGift, giftPrefix);

export default { ...realGift };


// export const downloadCouponCSV = config.api + marketPrefix + '/download-code-csv-template'; // 下载导入GIC券号csv示例文件  TODO:
// export const importCode = config.api + marketPrefix + '/import-gic-custom-code'; // 导入券码 TODO:
// export const importDestoryCode = marketPrefix + '/destroy-plugin/import-destroy-code'; // 上传销毁code列表 TODO:
// export const downloadDestroyCodeTemplate = config.api + marketPrefix + '/destroy-plugin/download-destroy-code-template'; // 下载销毁模板示例 TODO:

